Bug 834626 - Replace ppc64 with %{power64} macro in sendmail .spec
Replace ppc64 with %{power64} macro in sendmail .spec
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
17
ppc64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks: f18-ppc64p7
  Show dependency treegraph
 
Reported: 2012-06-22 11:46 EDT by Brent Baude
Modified: 2012-07-11 19:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 19:53:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brent Baude 2012-06-22 11:46:19 EDT
Description of problem:

RPM (as of 4.9.1.3-6.fc17) now honors a %{power64} macro that leads to additional subarchitectures coming in F18.  For Fedora 17, please update the sendmail spec to facilitate testing of the package.  A patch will be provided.



--- sendmail.spec.orig	2012-05-04 12:38:25.028843180 -0400
+++ sendmail.spec	2012-05-04 12:38:49.848843180 -0400
@@ -250,7 +250,7 @@
 #'
 
 cat >> redhat.config.m4 << EOF
-%ifarch ppc ppc64 s390x
+%ifarch ppc %{power64} s390x
 APPENDDEF(\`confOPTIMIZE', \`-DSM_CONF_SHM=0')
 %else
 APPENDDEF(\`confOPTIMIZE', \`')
Comment 1 Jaroslav Škarvada 2012-06-25 10:56:22 EDT
Thanks, it would be great for future reports to provide link to guidelines/wiki/mailing list discussion with more details about this.
Comment 2 Fedora Update System 2012-06-25 11:37:41 EDT
sendmail-8.14.5-14.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/sendmail-8.14.5-14.fc17
Comment 3 Fedora Update System 2012-06-26 17:34:35 EDT
Package sendmail-8.14.5-14.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sendmail-8.14.5-14.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9948/sendmail-8.14.5-14.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-07-11 19:53:07 EDT
sendmail-8.14.5-14.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.